me.legofreak107.vehiclesplus.vehicles.vehicles.objects.base.storage

## Class StorageHorn

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.base.storage.StorageHorn

    public class StorageHorn
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`StorageHorn()`
`StorageHorn(java.lang.Boolean enabled, java.lang.String sound)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Boolean` `getEnabled()` Is the horn enabled
`java.lang.String` `getSound()`
`void` `setEnabled(java.lang.Boolean enabled)` Is the horn enabled
`void` `setSound(java.lang.String sound)` The sound of the horn

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StorageHorn

    public StorageHorn(java.lang.Boolean enabled,
                       java.lang.String sound)

#### StorageHorn

    public StorageHorn()

### Method Detail

#### getSound

    public java.lang.String getSound()

#### getEnabled

    public java.lang.Boolean getEnabled()

Is the horn enabled

#### setEnabled

    public void setEnabled(java.lang.Boolean enabled)

Is the horn enabled

#### setSound

    public void setSound(java.lang.String sound)

The sound of the horn